List Pix Transfers
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Account-Id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/transfers"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"accountId": "01989f9e-6508-79f8-9540-835be49fbd0d",
"amount": "100.50",
"createdAt": "2024-01-15T10:30:15Z",
"endToEndId": "E1234567820240101000001234567890",
"id": "550e8400-e29b-41d4-a716-446655440010",
"initiationType": "KEY",
"paymentType": "IMMEDIATE",
"purpose": "TRANSFER",
"status": "COMPLETED",
"type": "CASHIN",
"updatedAt": "2024-01-15T10:35:00Z",
"urgency": "HIGH",
"aliasId": "01989f9e-6508-79f8-9540-835be49fbd0e",
"deletedAt": "<string>",
"description": "Pix Cashin Transfer",
"destination": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"feeCharge": {
"applied": true,
"calculationType": "segment",
"fees": [
{
"amount": "1.50",
"calculationType": "PERCENTAGE",
"calculationValue": "1.5",
"creditAccount": "01989f9e-6508-79f8-9540-835be49fbd0d",
"feeLabel": "PIX_FEE"
}
],
"netAmount": "97.50",
"totalAmount": "2.50"
},
"initiatedAt": "2024-01-15T10:30:00Z",
"ledger": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440013",
"revert": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440016",
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440015",
"transactionId": "550e8400-e29b-41d4-a716-446655440014"
},
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440012",
"transactionId": "550e8400-e29b-41d4-a716-446655440011"
},
"metadata": {},
"source": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"withdrawal": {
"agentMode": "AGTEC",
"withdrawalAmount": "50.00",
"withdrawalServiceProvider": "12345678",
"transactionAmount": "80.00"
}
}
],
"limit": 10,
"page": 1,
"total": 42
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}List Pix Transfers
Use this endpoint to list Pix Transfers with optional filters and pagination.
GET
/
v1
/
transfers
List Pix Transfers
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Account-Id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/transfers"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"accountId": "01989f9e-6508-79f8-9540-835be49fbd0d",
"amount": "100.50",
"createdAt": "2024-01-15T10:30:15Z",
"endToEndId": "E1234567820240101000001234567890",
"id": "550e8400-e29b-41d4-a716-446655440010",
"initiationType": "KEY",
"paymentType": "IMMEDIATE",
"purpose": "TRANSFER",
"status": "COMPLETED",
"type": "CASHIN",
"updatedAt": "2024-01-15T10:35:00Z",
"urgency": "HIGH",
"aliasId": "01989f9e-6508-79f8-9540-835be49fbd0e",
"deletedAt": "<string>",
"description": "Pix Cashin Transfer",
"destination": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"feeCharge": {
"applied": true,
"calculationType": "segment",
"fees": [
{
"amount": "1.50",
"calculationType": "PERCENTAGE",
"calculationValue": "1.5",
"creditAccount": "01989f9e-6508-79f8-9540-835be49fbd0d",
"feeLabel": "PIX_FEE"
}
],
"netAmount": "97.50",
"totalAmount": "2.50"
},
"initiatedAt": "2024-01-15T10:30:00Z",
"ledger": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440013",
"revert": {
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440016",
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440015",
"transactionId": "550e8400-e29b-41d4-a716-446655440014"
},
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440012",
"transactionId": "550e8400-e29b-41d4-a716-446655440011"
},
"metadata": {},
"source": {
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "TRAN"
},
"key": "chave@pix.com",
"owner": {
"document": "12ABC34501DE35",
"name": "John Doe",
"type": "NATURAL_PERSON",
"tradeName": "John's Business"
}
},
"withdrawal": {
"agentMode": "AGTEC",
"withdrawalAmount": "50.00",
"withdrawalServiceProvider": "12345678",
"transactionAmount": "80.00"
}
}
],
"limit": 10,
"page": 1,
"total": 42
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}Authorizations
JWT bearer token issued by the identity provider.
Headers
Account ID (UUID format)
Query Parameters
Page number for pagination (default: 1)
Maximum number of items per page (default: 10, range: 1-100)
Sort direction for results: asc or desc
Filter by the Pix transfer end-to-end identifier
Filter by transfer status; comma-separated for multiple (OR-matched), e.g. PENDING,COMPLETED. Allowed: CREATED, REJECTED, PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED
Filter by transfer direction (CASHOUT or CASHIN)
Filter by transfers modified after this timestamp (RFC3339)
Filter by transfers modified before this timestamp (RFC3339)
Was this page helpful?

